code stringlengths 2 1.05M | repo_name stringlengths 5 110 | path stringlengths 3 922 | language stringclasses 1
value | license stringclasses 15
values | size int64 2 1.05M |
|---|---|---|---|---|---|
#!/usr/bin/env bash
# This script was adapted from SourceMod
trap "exit" INT
ismac=0
iswin=0
if [ `uname` = "Darwin" ]; then
ismac=1
elif [ `uname` != "Linux" ] && [ -n "${COMSPEC:+1}" ]; then
iswin=1
fi
if [ ! -d "ExtraPLAPI" ]; then
>&2 echo "Could not find a ExtraPLAPI repository; make sure you aren't runn... | WildCard65/ExtraPLAPI | checkout-deps.sh | Shell | gpl-3.0 | 1,157 |
#!/bin/sh
cd /root
apt install -y git docker.io
git clone https://github.com/atomney/remindme
cd /root/remindme
chmod +x remindme.sh
bash remindme.sh --install
| nubzoar/remindme | dply.sh | Shell | gpl-3.0 | 160 |
#!/bin/sh
SCRIPTDIR=`dirname $0`
CONFIG=$SCRIPTDIR/config
[ -f $CONFIG ] && . $CONFIG
statsfile=${statsfile:-/var/lib/munin/plugin-state/huawei-hg612-munin-output.txt}
modem_ip=${modem_ip:-"192.168.1.1"}
expect `dirname $0`/huawei.expect $modem_ip | tee | tr -d "\015" > $statsfile
| bugmancx/huawei-hg612-munin | getstats.sh | Shell | gpl-3.0 | 288 |
#!/bin/bash
if [ -n $TRAVIS_TAG ]
then
printf "machine git.fury.io\nlogin $GEMFURY_USER\npassword $GEMFURY_PASSWORD" > ~/.netrc
git remote add fury "https://git.fury.io/$TRAVIS_REPO_SLUG.git"
git push --tags fury HEAD:master
fi | crazyfactory/php-cf-utils | scripts/deploy.sh | Shell | gpl-3.0 | 239 |
#!/bin/sh
#Sync Linux time with time servers time
#if needed, it also updates RTC time
#if first parameter is "affect_ntpd" then kill ntpd before doing the sync, and start ntpd whenever it is not started
#write an entry to activity log
log()
{
echo "$*" #remove this line after you done all tests
log2flash "$*"
r... | irares/WirelessHart-Gateway | AccessNode/config/FW_mesh_HW_any/ntpadjust.sh | Shell | gpl-3.0 | 4,984 |
#!/bin/bash
echo "mark error $1, $2, $3, $4, $5, $6";
curl --form k=$1 --form c=$2 --form l=$3 --form t=$4 --form e=$5 $6
| Vosie/Hawkeye | fail.sh | Shell | gpl-3.0 | 122 |
#!/bin/bash -e
DIR=$( cd "$( dirname "${BASH_SOURCE[0]}" )" && cd .. && pwd )
exec ${DIR}/lib/ld.so --library-path ${DIR}/lib:${DIR}/lib/dovecot ${DIR}/sbin/dovecot "$@"
| syncloud/3rdparty | dovecot/dovecot.sh | Shell | gpl-3.0 | 172 |
#!/bin/bash
set -e
pegasus_lite_version_major="4"
pegasus_lite_version_minor="7"
pegasus_lite_version_patch="0"
pegasus_lite_enforce_strict_wp_check="true"
pegasus_lite_version_allow_wp_auto_download="true"
. pegasus-lite-common.sh
pegasus_lite_init
# cleanup in case of failures
trap pegasus_lite_signal_int INT
trap... | elainenaomi/sciwonc-dataflow-examples | dissertation2017/Experiment 1B/logs/w-11-B/20161202T014316+0000/00/00/calculateratio_5_ID0000020.sh | Shell | gpl-3.0 | 1,252 |
echo "INFO, test carrier_lcd"
rm Q_CARRIER_LCD.txt
item="$1"
usage()
{
echo "Enter CARRIER_LCD_ON/CARRIER_LCD_OFF"
}
i2c_add=68
video_status="eDP1 connected 1920x1200"
if [ "$item" == "CARRIER_LCD_ON" ]; then
echo "INFO, Scanning for Display Bridge"
found=`i2cdetect -y 9 | grep " $i2c_add "`
if [ -z "$found" ]; the... | auspbro/CodeSnippets | Shell/Prj_QF7/Q_carrier_lcd.sh | Shell | gpl-3.0 | 8,781 |
#!/bin/bash
sudo docker run --rm --label=jekyll --volume=$(pwd):/srv/jekyll -it -p 127.0.0.1:4000:4000 jekyll/jekyll:pages jekyll serve
| codeformuenster/alternative-skulptur-projekte | run.sh | Shell | gpl-3.0 | 141 |
#!/usr/bin/env bash
set -ex
if [ $TRAVIS_OS_NAME == osx ]; then
brew update
brew install qt5 lmdb clang-format ninja libsodium cmark
brew upgrade boost cmake || true
curl https://bootstrap.pypa.io/get-pip.py -o get-pip.py
sudo python get-pip.py
sudo pip install --upgrade pip
sudo pip ins... | mujx/nheko | .ci/install.sh | Shell | gpl-3.0 | 1,225 |
#!/usr/bin/env bash
# Copyright (C) 2016 Justin Y. Newberg
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This p... | jynewberg/sbfusion | bash/fastq2fusion.sh | Shell | gpl-3.0 | 2,004 |
#!/bin/bash
set -e
echo "This is travis-build.bash..."
echo "Installing the packages that CKAN requires..."
sudo add-apt-repository --remove 'http://us-central1.gce.archive.ubuntu.com/ubuntu/ main restricted'
sudo add-apt-repository --remove 'http://us-central1.gce.archive.ubuntu.com/ubuntu/ universe'
sudo add-apt-re... | NicoVarg99/daf-recipes | ckan/ckan/ckanext-dcatapit/bin/travis-build.bash | Shell | gpl-3.0 | 4,114 |
#!/bin/bash
# update-check-no-op.sh - script to check the update mechanism of update.sh
# -> variant with no required update operations
#
# Copyright (C) 2015 Dirk Stolle
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Publi... | Thoronador/shell-scripts | continuous-integration/update-check-no-op.sh | Shell | gpl-3.0 | 1,978 |
#!/bin/bash
./kill.sh
./start.sh
| daniel-hartmann/tem | restart.sh | Shell | gpl-3.0 | 34 |
#!/bin/bash
dtime=$(date +%Y-%b-%d)
../dncon2-v1.0.sh ./input/T0866.fasta ./output/T0866-$dtime/ &> ./output/T0866-$dtime.log &
echo "Running in background.."
echo "Check log file.."
| multicom-toolbox/DNCON2 | dry-run/run-T0866.sh | Shell | gpl-3.0 | 186 |
#!/bin/bash
set -e
pegasus_lite_version_major="4"
pegasus_lite_version_minor="7"
pegasus_lite_version_patch="0"
pegasus_lite_enforce_strict_wp_check="true"
pegasus_lite_version_allow_wp_auto_download="true"
. pegasus-lite-common.sh
pegasus_lite_init
# cleanup in case of failures
trap pegasus_lite_signal_int INT
trap... | elainenaomi/sciwonc-dataflow-examples | dissertation2017/Experiment 1A/instances/10_1_workflow_full_10files_secondary_w1_3sh_3rs_with_annot_with_proj_3s_range/dags/ubuntu/pegasus/example_workflow/20161108T192637+0000/00/00/calculateratio_1_ID0000016.sh | Shell | gpl-3.0 | 1,252 |
#!/bin/bash
#usage: rmsd.sh prote.prmtop reference.inpcrd #mdfile
# 0 1 2 3
model1="parm "
model2="K/"$1"\nreference "$2"\ntrajin "
model3="K/trajec/md-"$3".nc\nrms rmsd-"
model4=" @CA,C,O,N reference out "
model5="K.txt\nrun"
temps=(300 350 400 450)
for i in ${temps[*]};
do... | casebor/labioscripts | bash/care_rmsd.sh | Shell | gpl-3.0 | 514 |
#! /bin/bash
# Source: https://raw.github.com/thenbrent/multisite-user-management/master/deploy.sh
# http://thereforei.am/2011/04/21/git-to-svn-automated-wordpress-plugin-deployment/
# A modification of Dean Clatworthy's deploy script as found here: https://github.com/deanc/wordpress-plugin-git-svn
# The difference is ... | Section214/Simple-Attribution | deploy.sh | Shell | gpl-3.0 | 2,993 |
#!/bin/bash
set -e
# Ensure we're in the right directory
cd "$(dirname "$0")"
CHANGELOG="CHANGELOG.md"
echo "Creating CHANGELOG.md"
echo "Latest Changes" > $CHANGELOG
echo "==============" >> $CHANGELOG
echo "Compiled on: `date`" >> $CHANGELOG
echo "\nThis file is auto-generated upon every new release. To review th... | habibmasuro/django-wiki | build-sdist.sh | Shell | gpl-3.0 | 905 |
#!/bin/sh
# Bonjour Hostname Configuration
# Changes the hostname of the device to the one specified.
# Author: Xavier Merino
# Date: June 9th, 2016
OPTIND=1
usage() { echo "Usage: $0 -n <newHostname>"; exit 1; }
while getopts "n:" opt; do
case "$opt" in
n)
s=${OPTARG}
apt-get update
... | xaviermerino/ECE4551-Computer-Architecture | Lab-0/hostnameScript.sh | Shell | gpl-3.0 | 707 |
#!/bin/sh
#
# Copyright (C) 2014-2021 Sébastien Helleu <flashcode@flashtux.org>
#
# This file is part of WeeChat, the extensible chat client.
#
# WeeChat is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either ... | talisein/weechat-1 | tools/build-test.sh | Shell | gpl-3.0 | 2,237 |
#!/bin/bash
#
# Author: Joshua Chen <iesugrace@gmail.com>
# Date: 2017-06-23 16:50:45
# Location: Shenzhen
# Desc: 第七章章末练习题
#
# 写一个脚本,名叫sum.sh,在脚本里定义一个名叫sum 的函数,
# 用来计算任意数量的参数的和,如果没有参数传给函数,
# 函数的结果应该是零。
#
sum() {
total=0
#
# 如果没有传入参数,则if 里面的for 循环不会执行,
# total 的值就是原来的0.
#
if test $# -gt ... | iesugrace/9-hours-to-shell | sum.sh | Shell | gpl-3.0 | 1,151 |
#!/bin/sh
#Check for Transmission Configuration
transmission_configuration="/volumes/data/transmission-home/settings.json"
if [ ! -f "$transmission_configuration" ]; then
# Source our persisted env variables from container startup
. /etc/transmission/environment-variables.sh
else
TRANSMISSION_HOME=/volumes/data/t... | acerto/docker-transmission-openvpn | transmission/start.bash | Shell | gpl-3.0 | 1,731 |
#!/bin/sh
config=$HOME/.gauge/config
# create config dir if doesn't exist
if [[ ! -d $config ]]; then
sudo -u $USER mkdir -p $config
fi
# Copy config file from /usr/local/gauge/config to HOME/.gauge/config
sudo -u $USER cp -r /usr/local/gauge/config/* $config
sudo rm -rf /usr/local/gauge
# save timestamp of gau... | RabihHallage/gauge | build/install/macosx/scripts/timestamp_and_copy_config.sh | Shell | gpl-3.0 | 590 |
#!/bin/bash
set -e
pegasus_lite_version_major="4"
pegasus_lite_version_minor="7"
pegasus_lite_version_patch="0"
pegasus_lite_enforce_strict_wp_check="true"
pegasus_lite_version_allow_wp_auto_download="true"
. pegasus-lite-common.sh
pegasus_lite_init
# cleanup in case of failures
trap pegasus_lite_signal_int INT
trap... | elainenaomi/sciwonc-dataflow-examples | dissertation2017/Experiment 2/instances/4_wikiflow_1sh_1s_noannot/dags/ubuntu/pegasus/example_workflow/20170121T145937+0000/00/00/computeusergroup_0_ID0000002.sh | Shell | gpl-3.0 | 1,295 |
#!/bin/bash
# -*- mode: sh; sh-basic-offset: 4; indent-tabs-mode: nil; -*-
# vim: set filetype=sh sw=4 sts=4 expandtab autoindent:
set -e
set -u
set -o pipefail
LANGUAGES=${@:-de es fa fr it pt}
count_msgids () {
cat | grep -E '^msgid\s+' | wc -l
}
count_original_words () {
cat | grep ^msgid | sed 's/^msgid... | cbrownstein/tails | wiki/src/contribute/l10n_tricks/language_statistics.sh | Shell | gpl-3.0 | 2,553 |
##################################################################################################
##### INTERSECT PIQ MOTIF PREDICTIONS IN DHS REGIONS WITH ACTIVE PROMOTERS & ENHANCERS ##########
##################################################################################################
rm -rf motif_PROMOTER... | khuranalab/RegNetDriver | code/STEP2_network.sh | Shell | gpl-3.0 | 897 |
# Copyright (c) 2018 Urbain Vaes
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribu... | uvaes/fzf-marks | fzf-marks.plugin.zsh | Shell | gpl-3.0 | 6,906 |
#/bin/bash
#rsync -av --progress --include="VELA03/" --include="*_sunrise/" --include="images/" --include="broadbandz.fits*" --include="images_*_sunrise.tar" --include="*galprops.npy" --exclude="*" pfe:Runs/VELA_v2/ .
rsync -av --progress --include="VELA31/" --include="VELA32/" --include="VELA33/" --include="VELA34/" ... | gsnyder206/vela-yt-sunrise | copy_from_pleiades.sh | Shell | gpl-3.0 | 505 |
#!/bin/bash
THE_USER=${SUDO_USER:-${USERNAME:-guest}}
set -e
sudo -u ${THE_USER} mkdir ~/tmp
# install prerequisities
apt-get -y install curl g++ pkg-config libgdiplus
# download and build Node.js
sudo -u ${THE_USER} curl https://codeload.github.com/joyent/node/tar.gz/v0.12.0 > node.v0.12.0.tar.gz
sudo -u ${THE_U... | gerzhan/nw-edge-example | node_modules/edge/tools/ubuntu_12.04_clean_install.sh | Shell | gpl-3.0 | 1,474 |
#!/bin/bash
TITLE="PostgreSQL"
PKG=$(whiptail --title "$TITLE" --menu "Options:" 20 60 5 \
"1" "PostgreSQL server programs" \
"2" "PostgreSQL client programs" \
"3" "PostgreSQL server and client programs" \
"4" "Pgpool is a connection pooling/replication server" \
3>&1 1>&2 2>&3)
case "$PKG" in
1)
dnf install -y p... | oscm/shell | database/postgresql/postgresql.sh | Shell | gpl-3.0 | 587 |
#!/bin/bash
python RunBootstrap.py --paralog1 YDR418W --paralog2 YEL054C --bootnum 86 > YDR418W_YEL054C_Boot86_PrintScreen.txt
| xjw1001001/IGCexpansion | Bootstrap/ShFiles/MG94_YDR418W_YEL054C_Boot86.sh | Shell | gpl-3.0 | 128 |
#!/bin/sh
# (c) Copyright 2009 - 2010 Xilinx, Inc. All rights reserved.
#
# This file contains confidential and proprietary information
# of Xilinx, Inc. and is protected under U.S. and
# international copyright and other intellectual property
# laws.
#
# DISCLAIMER
# This disclaimer is not a license and does not gra... | antoniovillena/zxuno | cores/NES/xilinx/ipcore_dir/ram2k/simulation/timing/simulate_isim.sh | Shell | gpl-3.0 | 2,895 |
#!/bin/sh
#
# Script to automate linux-libre compilation.
# Ryan P. C. McQuen | Everett, WA
#
################################
### TO INSTALL/USE (MAKE SURE YOU ARE ROOT!):
### wget -N https://raw.githubusercontent.com/ryanpcmcquen/linuxTweaks/master/slackware/kernelLibreLatestMe.sh -P /usr/src/
### cd /usr/src/
### sh... | ryanpcmcquen/linuxTweaks | slackware/kernelLibreLatestMe.sh | Shell | mpl-2.0 | 4,744 |
#!/usr/bin/env bash
NAME=maxi3
VER=${1:-dev}
FILE=$NAME-$VER-pm.xpi
if test -f "$FILE"; then
rm $FILE
fi
cd src/
zip -qr9XD ../$FILE *
| Lootyhoof/maxi3 | build.sh | Shell | mpl-2.0 | 137 |
#!/bin/bash
#
# Copyright 2016 leenjewel
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to ... | ONLYOFFICE/core | Common/3dParty/curl/build-ios-common.sh | Shell | agpl-3.0 | 6,290 |
#!/bin/sh
. ./test_vars
suite_output="Running suite(s): S1
S2
XML escape \" ' < > & tests"
exp_silent=""
if [ $HAVE_FORK -eq 1 ]; then
exp_minimal_result="37%: Checks: 8, Failures: 4, Errors: 1"
else
exp_minimal_result="42%: Checks: 7, Failures: 4, Errors: 0"
fi
exp_minimal="$suite_output
$exp_minimal_result"
if... | lubosz/check | tests/test_output.sh | Shell | lgpl-2.1 | 7,610 |
#! /bin/sh
# (c) Copyright 2002-2013 by authors of the Tiki Wiki CMS Groupware Project
#
# All Rights Reserved. See copyright.txt for details and a complete list of authors.
# Licensed under the GNU LESSER GENERAL PUBLIC LICENSE. See license.txt for details.
# $Id: setup.sh 46619 2013-07-10 22:36:54Z arildb $
# This ... | maestrano/tikiwiki | setup.sh | Shell | lgpl-2.1 | 22,928 |
#!/bin/bash
#算术运算符、关系运算符、布尔运算符、字符串运算符、文件测试运算符
#原生 bash 不支持简单的数学运算,但是可以通过其他命令来实现,例如: awk expr .
# expr 是一款表达式计算工具, 使用它能完成表达式的求值操作。
val=`expr 2 + 2`
echo "两个数之和为:$val" #结果: 4
#注意:表达式和运算符之间要有空格;完整的表达式要被 ` ` (反引号)包含。
# 1、 算术运算符
a=10
b=20
echo "a: $a b: $b"
val=`expr $a + $b`
echo "a + b : $val" #结果:30
val=`e... | MengYP/bashtraining | demos/01-语法-demo/t_operator.sh | Shell | lgpl-3.0 | 3,907 |
and@and-dblab:~/Documents/Projects/C++/word2vec/trunk$ ./demo-phrases.sh
make: Nothing to be done for 'all'.
--2015-11-12 18:33:08-- http://www.statmt.org/wmt14/training-monolingual-news-crawl/news.2012.en.shuffled.gz
Resolving www.statmt.org (www.statmt.org)... 129.215.197.100
Connecting to www.statmt.org (www.statm... | aocalderon/PhD | Y1Q1/SEMINAR/output2.sh | Shell | lgpl-3.0 | 731 |
#!/bin/bash
set -e
HERE=$(cd "${0%/*}" 2>/dev/null; echo "$PWD")
cd $HERE
dput sincerity sincerity-1.0beta1-1_source.changes
| tliron/sincerity | build/debian/dput.sh | Shell | lgpl-3.0 | 128 |
#!/bin/bash
# Add a list of EIDs using the MAP handler of LISPPrintDB.
# This probably won't work with multiple LISPPrintDB elements.
if [ $# -eq 0 ]; then
echo "[-] No EID to add..."
echo -e "usage\t$0 <eid1> [<eid2> ...]\n"
exit 1
fi
# Host of the control socket
host="localhost"
# Port number of the control soc... | LISP-on-Click/LISP-Project | tests/add_eid_mapping_in_LISPPrintDB.sh | Shell | lgpl-3.0 | 1,445 |
for points in 100000 1000000 10000000; do
rm results/regular-$points results/scaled-$points
./bucket $points 12 0 > results/regular-$points
./bucket $points 12 1 > results/scaled-$points
done
| aksiazek/tpr | openmp/run.sh | Shell | unlicense | 202 |
#!/bin/bash
# Fixes Steam's library issues on Debian 8
find ~/.steam/root/ \( -name "libgcc_s.so*" -o -name "libstdc++.so*" -o -name "libxcb.so*" \) -print -delete
find ~/.steam/root/ \( -name "libgcc_s.so*" -o -name "libstdc++.so*" -o -name "libxcb.so*" \) -print -delete
find ~/.local/share/Steam/ \( -name "libgcc_s.... | weloxux/dotfiles | home/dagon/steamfix.sh | Shell | unlicense | 390 |
#!/bin/bash
echo -e "\xFE\x68" > /dev/ttyUSB0
#echo -e "\xFE\x7C\xcc\x0r\x0d\xll" > /dev/ttyUSB0
#cc: column
#ll: 0 ... 64h
#d: 0 = right, 1 = left
| ohel/dotfiles | scripts/matrix_orbital/init_hbar.sh | Shell | unlicense | 148 |
set -eux
rpm -q git || sudo dnf -y install git
git clone https://github.com/slagle/tripleo
sudo dnf -y install python3 python3-setuptools python3-requests
git clone https://git.openstack.org/openstack/tripleo-repos
pushd tripleo-repos
sudo python3 setup.py install
popd
if ! grep -q -i stream /etc/os-release; then
NO... | slagle/tripleo | environments/master-upshift/undercloud.sh | Shell | apache-2.0 | 1,539 |
#!/bin/bash
set -eu
function cleanup {
if [[ -f $tmpfile ]]; then
rm $tmpfile
fi
}
trap cleanup EXIT
tmpfile=$(mktemp)
IFS=$'\n'
function write_params() {
local file=$1
local prefix=$2
local key=$3
local note_path=$4
local lpass_path="Shared-Customer [0]/${note_path}"
local contents=$(lpass sh... | mcb/pcf-pipelines | ci/scripts/update_rc_pipelines.sh | Shell | apache-2.0 | 2,523 |
for f in `ls tests/*.in | sed 's|\.in$||g'`; do
echo "TEST: $f";
ruby wiki_formatter.rb $f.in $f.exp;
done
| jthomerson/redmine_trac_formatter_plugin | lib/redmine_trac_formatter/test-all.sh | Shell | apache-2.0 | 107 |
#!/usr/bin/env bash
set -e
set -x
echo ">> Fix File Permissions"
chown root:root /
chmod 0755 /
echo ">> Add user: vagrant"
useradd vagrant
echo "vagrant:vagrant" | chpasswd -c SHA512
# echo ">> Configure vagrant ssh usage"
# mkdir -p /home/vagrant/.ssh
# chmod 0700 /home/vagrant/.ssh
# yes | xbps-install -Sy -R ht... | nlamirault/bento | scripts/voidlinux/install.sh | Shell | apache-2.0 | 2,063 |
#!/bin/sh
PROJECT_HOME=/tmp/epic_release
THIS=`pwd`
rm -rf $PROJECT_HOME
mkdir $PROJECT_HOME
rm -rf _RELEASE_
mkdir _RELEASE_
node_modules/webpack/bin/webpack.js --config webpack.config.release.js -p --define process.env.NODE_ENV=production --progress --colors
cp dist/app.js $PROJECT_HOME
cp main.js $PROJECT_HOME
c... | richard-mihalovic/epic-commander | build_release.sh | Shell | apache-2.0 | 758 |
#!/bin/bash
set -x
EQDIR=$(pwd)/../..
ZKDIR=$(pwd)/zookeeper
export ZOOBINDIR=$ZKDIR/bin/
. $ZKDIR/bin/zkEnv.sh
AGENT_CP=$EQDIR/bin/earthquake-inspector.jar
for i in `seq 1 3`;
do
DIR=/tmp/eq/zk/$i/
if [ ! -d $DIR ];
then
mkdir -p $DIR
echo $i > $DIR/myid
fi
export EQ_ENV_PROCESS_ID=zksrv$i
... | fuku-ys/earthquake | example/not-so-much-useful/OLD.zk-reconfig.byteman_pyeq/041-kill-zk-ensemble.sh | Shell | apache-2.0 | 639 |
#!/usr/bin/env bash
###########################################################################
# Originally written by: Henrik Bengtsson, 2014
# https://github.com/HenrikBengtsson/speedtest-cli-extras
# Modified to use IFTTT by: Alasdair Allan, 2015
# License: GPL (>= 2.1) [http://www.gnu.org/licenses/gpl.html]
######... | swoodford/raspberrypi | speedtest-ifttt.sh | Shell | apache-2.0 | 2,531 |
#!/bin/bash
#
# Usage:
# ./deploy.sh <function name>
set -o nounset
set -o pipefail
set -o errexit
compress() {
for dir in _data/*; do
local out="$PWD/$(basename $dir).wwz"
pushd $dir
zip -r -q $out .
popd
done
}
deploy() {
local name=$1
local host=$name.org
local dest_dir=oilshell.org/gr... | oilshell/blog-code | grep-for-papers/deploy.sh | Shell | apache-2.0 | 446 |
#!/bin/sh
TEMPFILE=`mktemp /tmp/tmp.XXXXXX`
./collect_anns ../public_html/annmenus.php $TEMPFILE
sh $TEMPFILE
rm $TEMPFILE
| leuschel/logen | weblogen/backend/create_menus.sh | Shell | apache-2.0 | 124 |
#!/bin/bash
CUR_DIR=$(dirname $0)
SMALI=$CUR_DIR/smali
BAKSMALI=$CUR_DIR/baksmali
function deodex_one_file() {
local outdir=`mktemp -d /tmp/baksamli.out.XXXXX`
local class_dex='classes.dex'
if [ "$1" = '-a' ]
then
apilevel=$2
classpath=$3
file=$4
tofile=${file/odex/$5... | baidurom/tools | apktools/deodex.sh | Shell | apache-2.0 | 5,229 |
#!/bin/sh
# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements. See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership. The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License"); you... | runtimeinc/mynewt_arduino_zero | hw/bsp/arduino_zero/arduino_zero_download.sh | Shell | apache-2.0 | 2,014 |
VIRTUALENV_HOME=~/.pyenv
function venv_alias {
local mkvenv_func=$1
local venv=$2
local name=`basename ${venv}`
alias v_${name}="source ${venv}/bin/activate"
alias v_${name}_refresh="deactivate 2>&1 >/dev/null; rmvenv ${name} && ${mkvenv_func} ${name} && source ${venv}/bin/activate"
alias v_${n... | mrburrito/dotfiles | linux/profile/profile.d/python.sh | Shell | apache-2.0 | 1,470 |
#!/bin/bash
# 脚本来自 :如何将VPS上的网站数据定时自动备份到Dropbox
# 定义需要备份的目录
WEB_DIR=/var/www/web # 网站数据存放目录
# 定义备份存放目录
DROPBOX_DIR=/backup/$(date +%Y-%m-%d) # Dropbox上的备份目录
LOCAL_BAK_DIR=/home/user/backup # 本地备份文件存放目录
# 定义备份文件名称
DBBakName=DB_$(date +%Y%m%d).tar.gz
WebBakName=Web_$(date +%Y%m%d).tar.gz
# 定义旧数据名称
Old_DROPBOX_DIR... | kevinz/wiki | backup.sh | Shell | apache-2.0 | 1,380 |
#!/bin/bash
#
# Licensed under the Apache License, Version 2.0 (the "License"); you may
# not use this file except in compliance with the License. You may obtain
# a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distr... | akash1808/python-barbicanclient | functionaltests/post_test_hook.sh | Shell | apache-2.0 | 963 |
#!/bin/bash
# Copyright 2015 The Kubernetes Authors All rights reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless require... | HardikDR/kubernetes | hack/jenkins/e2e.sh | Shell | apache-2.0 | 58,906 |
#!/bin/bash
# Shell script to upgrade an instance of the 3D City Database
# on Oracle Spatial/Locator
# read database connection details
source ../CONNECTION_DETAILS.sh
# add sqlplus to PATH
export PATH="$SQLPLUSBIN:$PATH"
# cd to path of the shell script
cd "$( cd "$( dirname "$0" )" && pwd )" > /dev/null
# Welco... | 3dcitydb/3dcitydb | oracle/ShellScripts/Unix/MIGRATION/UPGRADE_DB.sh | Shell | apache-2.0 | 2,296 |
#! /bin/bash
. ./scripts/planetlab/pl-common.sh
# TOPOLOGY
DCS[0]=${EC2_PROD_EU_M1SMALL[0]}
DCSEQ[0]=${EC2_PROD_EU_M1SMALL[1]}
DCS[1]=${EC2_PROD_EU_M1SMALL[2]}
DCSEQ[1]=${EC2_PROD_EU_M1SMALL[3]}
DC_CLIENTS[0]=${EC2_PROD_EU_M1SMALL[4]}
DC_CLIENTS[1]=${EC2_PROD_EU_M1SMALL[5]}
MACHINES="${DCS[*]} ${DCSEQ[*]} ${DC_C... | SyncFree/SwiftCloud | scripts/planetlab/KILL_ALL.sh | Shell | apache-2.0 | 935 |
#shellcheck shell=bash
set -euo pipefail
export TMPDIR=$SHELLSPEC_TMPBASE
export CF_HOME=$(mktemp -d "$TMPDIR/.cf.XXXXXX")
BASE_DIR=$SHELLSPEC_PROJECT_ROOT
FIXTURE=$SHELLSPEC_SPECDIR/fixture
shellspec_spec_helper_configure() {
shellspec_import 'support/json_matcher'
# Negation helper function
not() {
! "... | patrickcrocker/cf-cli-resource | spec/spec_helper.sh | Shell | apache-2.0 | 6,264 |
pkg_name=linux-headers-musl
pkg_origin=core
pkg_version=3.12.6-5
pkg_maintainer="The Habitat Maintainers <humans@habitat.sh>"
pkg_description="Linux kernel headers (sanitized for use with musl)."
pkg_upstream_url="https://github.com/sabotage-linux/kernel-headers"
pkg_license=('MIT')
pkg_source="https://github.com/sabot... | be-plans/be | linux-headers-musl/plan.sh | Shell | apache-2.0 | 1,642 |
#!/bin/bash
#our deps are exactly that of build binary release script
../build_binary_release/install_dependencies.sh
| capergroup/bayou | tool_files/acceptpy_1_3_0/install_dependencies.sh | Shell | apache-2.0 | 119 |
#!/usr/bin/env bash
DB_URL="jdbc:postgresql://localhost:5432/omp"
DB_USERNAME="omp"
DB_PASSWORD="omp"
DB_SCHEMA="public"
DRIVER_CLASS="org.postgresql.Driver"
DRIVER_CLASSPATH="./drivers/postgresql-42.1.4.jre7.jar"
pushd .. > /dev/null
liquibase \
--driver="$DRIVER_CLASS" \
--classpath="$DRIVER_CLASSPATH" \
-... | ozoneplatform/omp-marketplace | database/postgres/db-drop.sh | Shell | apache-2.0 | 516 |
#!/usr/bin/env bash
# Copyright 2020 The TensorFlow Probability Authors.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required... | tensorflow/probability | testing/run_tfp_test.sh | Shell | apache-2.0 | 3,090 |
#!/bin/bash
# output is the only argument
# Name is for example term_session1
if [ -z $1 ]
then
echo "Provide the output file"
exit 1
fi
TEMP_DIR="/tmp/$1"
TTYREC_FNAME="$TEMP_DIR/$1.ttyrec"
GIF_FNAME="tty.gif"
MP4_FNAME="$TEMP_DIR/$1.mp4"
WAV_FNAME="$TEMP_DIR/$1.wav"
NEW_MP4_FNAME="$TEMP_DIR/NEW_$1.mp4"
FIN... | rascoro1/recterm | recterm.sh | Shell | apache-2.0 | 3,145 |
set -e
wget -O http-parser-v2.7.0.tar.gz https://github.com/nodejs/http-parser/archive/v2.7.0.tar.gz
tar xf http-parser-v2.7.0.tar.gz
cd http-parser-2.7.0
$CC -O2 -c http_parser.c -o http_parser.o
ar rcs libhttp_parser.a http_parser.o
cp libhttp_parser.a $THIRDPARTY_BUILD/lib
cp http_parser.h $THIRDPARTY_BUILD/include... | timperrett/envoy | ci/build_container/build_recipes/http-parser.sh | Shell | apache-2.0 | 321 |
#!/bin/bash
#SBATCH --job-name=aminoR
#SBATCH -o aminoR.out
#SBATCH -e aminoR.err
#SBATCH --mail-user=anastasa@alumni.ubc.ca
#SBATCH --mail-type=BEGIN,END,FAIL
#
#SBATCH --time=02:55:00
#SBATCH --nodes=1
#SBATCH --ntasks-per-node=1
#SBATCH --cpus-per-task=32
#SBATCH --mem 114000
#SBATCH --account=groupnam... | minisciencegirl/studyGroup | lessons/computecanada/Example_slurm.sh | Shell | apache-2.0 | 1,692 |
#!/bin/bash
# Copyright 2018 The Bazel Authors. All rights reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by a... | ButterflyNetwork/bazel | src/test/shell/integration/bazel_java_test.sh | Shell | apache-2.0 | 3,270 |
#!/bin/bash
#
# This script builds a set of GNU tool chain for ARM cpu.
# July 2011, create by Tanggeliang(tang.geliang@zte.com.cn).
#
set -e
VERSION=1.0
TARGET=arm-linux-gnueabi
PREFIX=/home/quanjunlin/toolchain/opt/${TARGET}-tools-${VERSION}
WORKDIR=$(pwd)
SOURCES=${WORKDIR}/sources
STAMPS=${WORKDIR}/stamps
MAKE=m... | zte-lhg/rdk | patch/chromium-imx-git/build_gnu_cross_toolchain.sh | Shell | apache-2.0 | 6,909 |
ls -lSh|cut -d":" -f2 |cut -d" " -f2|sed '1d'|sed '$d'|sed 's/^/adb install -r /g;s|$|;echo "^C to break, anykey to continue";read readline;|g' >go.sh
chmod +x go.sh
./go.sh
| bayvictor/distributed-polling-system | bin/curdir_adb_install_all_apk.sh | Shell | apache-2.0 | 178 |
#!/usr/bin/env bash
#
# Demos diffing classfiles via git.
set -e
dir=$(mktemp -d ${TMPDIR:-/tmp}/git-java-demo.XXXXXXXXXX)
cd "$dir" || exit 1;
cat >a.scala <<EOM
final class A {
@inline def foo[T](cond: => Boolean, result: => T) = if (cond) Some(result) else None
def f(x: Int) = foo(x > 5, x)
}
EOM
scalac=scal... | retronym/libscala | git-java/demo.sh | Shell | bsd-2-clause | 737 |
../../../spark-1.6.0/bin/spark-submit \
--master local[*] \
--executor-memory 2g --executor-cores 1 --num-executors 4 \
--jars ../packages/spark-examples_2.10-2.0.0-SNAPSHOT.jar,../packages/random-0.0.1-SNAPSHOT-shaded.jar \
--py-files ../packages/python-lib.zip \
aaron-memex-to-similar-images.py \
$@
| svebk/DeepSentiBank_memex | workflows/aaron-memex-to-similar-images/run_local.sh | Shell | bsd-2-clause | 310 |
if [ ! -d "./Static/Shaders" ]; then
mkdir Static/Shaders
fi
$VULKAN_SDK/bin/glslangValidator -V Source/Graphics/Shaders/shader.vert -o Static/Shaders/vert.spv
$VULKAN_SDK/bin/glslangValidator -V Source/Graphics/Shaders/shader.frag -o Static/Shaders/frag.spv
| Nehh/Musible | spirv.sh | Shell | bsd-2-clause | 263 |
# set required variables
WORKLOAD_FILE=${TOP_DIR}/workloads/workload_SIMPLE_MULTICOLUMN_QUERIES_p300_w2_c1_1234.sql
ALGORITHM=bc
| dbgroup-at-ucsc/dbtune | resources/workloads/postgres/.unsupported/working_set/bc_1/config.sh | Shell | bsd-3-clause | 132 |
#!/bin/sh
TESTLIBTOOLIZE="glibtoolize libtoolize"
LIBTOOLIZEFOUND="0"
srcdir=`dirname $0`
test -z "$srcdir" && srcdir=.
olddir=`pwd`
cd $srcdir
aclocal --version > /dev/null 2> /dev/null || {
echo "error: aclocal not found"
exit 1
}
automake --version > /dev/null 2> /dev/null || {
echo "error: automake ... | yaccz/cbugzilla | autogen.sh | Shell | bsd-3-clause | 960 |
#!/bin/bash
# Copyright (c) 2015-present, Facebook, Inc.
# All rights reserved.
#
# This source code is licensed under the BSD-style license found in the
# LICENSE file in the root directory of this source tree. An additional grant
# of patent rights can be found in the PATENTS file in the same directory.
# **********... | sThig/jabbascrypt | tasks/e2e-kitchensink.sh | Shell | bsd-3-clause | 7,468 |
#!/usr/bin/env bash
set -eo pipefail
backups_dir=/opt/data/backups
if [ $(whoami) != "root" ]; then
>&2 echo $0 is intended to run as root
exit 1
fi
echo "==> $0: Initializing backup directories..."
echo
mkdir -p ${backups_dir}/{aoi,fieldpapers,imagery,omk,opendronemap,osm}
chown posm-admin:posm-admin ${backup... | AmericanRedCross/posm-admin | scripts/root_initialize-backups.sh | Shell | bsd-3-clause | 485 |
#!/bin/bash
# Copyright (c) 2011 The Native Client Authors. All rights reserved.
# Use of this source code is governed by a BSD-style license that can be
# found in the LICENSE file.
source pkg_info
source ../../build_tools/common.sh
TestStep() {
Banner "Testing ${PACKAGE_NAME}"
if [ ${NACL_ARCH} == "pnacl" ]; th... | adlr/naclports | ports/yajl/build.sh | Shell | bsd-3-clause | 1,057 |
#!/bin/bash
# vars
SCRATCH_DIR="foo"
DATA_DIR="bar"
# try to figure out where we're running from, then delete contents of scratch dir
if [ -d "test/scratch" ]; then
SCRATCH_DIR="test/scratch/local"
DATA_DIR="test/data"
elif [ -d "../scratch" ]; then
SCRATCH_DIR="../scratch/local"
DATA_DIR="../data"
else
ech... | spydez/veb | test/scripts/change-small.sh | Shell | bsd-3-clause | 590 |
docker pull rethinkdb:latest
./stop-test-server.sh
docker run -d -p 8080:8080 -p 28015:28015 -p 29015:29015 --name rethinkdb-regrid -v "$PWD/ignored_files/rethinkdb:/data" rethinkdb:latest rethinkdb --cache-size 2048 --bind all
| internalfx/regrid | start-test-server.sh | Shell | isc | 230 |
#!/bin/bash
curl -X PUT $1/riak/8protons.com_riaktive/index.html -H "Content-type: text/html" --data-binary @./core/index.html
curl -X PUT $1/riak/8protons.com_riaktive/bucket.html -H "Content-type: text/html" --data-binary @./core/bucket.html
curl -X PUT $1/riak/8protons.com_riaktive/document.html -H "Content-type: t... | gmaurice/Riaktive | install.sh | Shell | mit | 2,554 |
for i in tests/*_tests
do
./$i
done
| meqif/lolbot | tests/runtests.sh | Shell | mit | 42 |
#!/bin/bash
function helptext {
printf "view_isocomp_results [name of binary 1] [name of binary 2] [name of feature]\n"
}
if [ -z "$1" ]
then
helptext
exit 1
fi
if [ -z "$2" ]
then
helptext
exit 1
fi
if [ -z "$3" ]
then
helptext
exit 1
fi
#brief, but no error checking
find ../../corpora/ -wholename "*/$1.*.... | syreal17/Cardinal | tests/windows/view_diffbin_results_bloom.sh | Shell | mit | 6,903 |
#!/bin/sh
if [[ $1 == "-release" ]] ; then
RELEASE=1
FILES="xroad-*.spec"
CMD="bb"
else
RELEASE=0
DATE=$(date --utc --date @$(git show -s --format=%ct || date +%s) +'%Y%m%d%H%M%S')
HASH=$(git show -s --format=git%h || echo 'local')
SNAPSHOT=.$DATE$HASH
FILES=${1-'xroad-*.spec'}
CMD=${2-bb}
fi
DIR=$(... | ria-ee/X-Road | src/packages/build-xroad-rpm.sh | Shell | mit | 584 |
# The purpose of this file is to download
# assigned AngularJS source files and test
# them against this build of AngularMaterial.
# This works by pulling in all of the tags
# from angular.js, finding the highest version
# numbers for each branch (e.g. 1.3 => 1.3.X where
# X is the highest patch release). For each
# d... | ilovett/material | scripts/test-versions.sh | Shell | mit | 1,695 |
touch NEWS README AUTHORS ChangeLog
aclocal
autoconf
automake --add-missing -c
| fincs/picasso | autogen.sh | Shell | mit | 79 |
#!/bin/bash
set -e
HOME=$(dirname "$(realpath "${BASH_SOURCE[0]}")")
declare -A TARGETS
TARGETS=(
[proxy]="$HOME/../proxy/"
[client]="$HOME/../openslides-client/"
[backend]="$HOME/../openslides-backend/"
[auth]="$HOME/../openslides-auth-service/"
[autoupdate]="$HOME/../openslides-autoupdate-service/"
[man... | tsiegleauq/OpenSlides | docker/build.sh | Shell | mit | 4,047 |
#!/bin/env bash
prompt_me() {
local input=
if [[ -n $1 ]]; then
echo "$@" >&2
fi
read -n 1 -p "Continue?[y/n] > " input
input=$(echo -n "$input" | tr [a-z] [A-Z])
echo
case $input in
"Y"|"YES"|"JA"|"J")
return 0
;;
"N"|"NO"|"NEIN")
return 1
;;
*)
prompt_me "$... | dgengtek/scripts | tools/prompt_me.sh | Shell | mit | 357 |
#!/usr/bin/env bash
DIRNAME=$(dirname $0);
DIR=$DIRNAME/results/speedup/$(date '+%Y-%m-%dT%H:%M:%S');
DIR=$DIRNAME/results/speedup-collatz/$(date '+%Y-%m-%dT%H:%M:%S');
COUNT_NB=$1;
shift 1;
COUNT="$DIRNAME/count-range-bignum 175 3179389980591125407167";
PANDO="node $DIRNAME/../bin/index.js --stdin ";
SETTINGS="$DIR/... | elavoie/pando | test/speedup-collatz.sh | Shell | mit | 751 |
#!/bin/bash
mono .paket/paket.bootstrapper.exe
exit_code=$?
if [ $exit_code -ne 0 ]; then
exit $exit_code
fi
mono .paket/paket.exe restore -v
exit_code=$?
if [ $exit_code -ne 0 ]; then
exit $exit_code
fi
#workaround assembly resolution issues in build.fsx
export FSHARPI=`which fsharpi`
cat - > fsharpi <<"EOF"
#!/b... | soerennielsen/canopy | build.sh | Shell | mit | 466 |
#!/usr/bin/env bash
# never explore, always predict
python -m cProfile -s cumtime $* src/main.py --exploration_rate_test=0 --random_steps=0 --train_steps=0 --test_steps=10000 --epochs=1 roms/pong.bin
| loofahcus/simple_dqn | profile_test.sh | Shell | mit | 201 |
#!/usr/bin/env bash
httpie() {
printDebug "httpie args: $@"
dockerRun -i alpine/httpie $@
}
httpie_no_input() {
printDebug "httpie args: $@"
dockerRun alpine/httpie $@
} | wheniwork/harpoon | tasks/http/bootstrap.sh | Shell | mit | 175 |
#!/bin/sh
php app/console --env=prod cache:clear
php app/console --env=prod assetic:dump
php app/console --env=prod cache:warmup | mzhuravlev/task | deploy.sh | Shell | mit | 128 |
#!/usr/bin/env bash
mkdir check && cd check
cmake -DCMAKE_EXPORT_COMPILE_COMMANDS=ON -j4 ..
oclint-json-compilation-database -v
cd .. && rm -rf check | Vitaliy-Grigoriev/Protocol-Analyzer | oclint_scan.sh | Shell | mit | 150 |
#!/bin/bash
FN="IHWpaper_1.12.0.tar.gz"
URLS=(
"https://bioconductor.org/packages/3.9/data/experiment/src/contrib/IHWpaper_1.12.0.tar.gz"
"https://bioarchive.galaxyproject.org/IHWpaper_1.12.0.tar.gz"
"https://depot.galaxyproject.org/software/bioconductor-ihwpaper/bioconductor-ihwpaper_1.12.0_src_all.tar.gz"
"ht... | jerowe/bioconda-recipes | recipes/bioconductor-ihwpaper/post-link.sh | Shell | mit | 1,402 |
#!/bin/bash
# Determine the Path
function realpath() {
local r=$1; local t=$(readlink $r)
while [ $t ]; do
r=$(cd $(dirname $r) && cd $(dirname $t) && pwd -P)/$(basename $t)
t=$(readlink $r)
done
echo $r
}
MY_DIR=`dirname $(realpath $0)`
BACKUP=$MY_DIR/../backups
CONFIG=$MY_DIR/../conf... | jpschaaf/hardening-script-el6 | config-scripts/sudoers.sh | Shell | gpl-2.0 | 597 |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.